OpenVDB 13.0.0

Loading...
Searching...
No Matches
ConstantFolder< SignatureT, I > Struct Template Reference

Constant folding support structure. More...

`#include <openvdb_ax/codegen/ConstantFolding.h>`

## Public Types
using | ArgT = typename FunctionTraits<SignatureT>::template Arg<I-1>
using | ArgumentValueType = typename ArgT::Type

## Static Public Member Functions
template<typename ... Tys>
static llvm::Constant * | fold (const llvm::ArrayRef< llvm::Constant * > &args, const SignatureT &function, llvm::LLVMContext &C, Tys &&... ts)

## Detailed Description

template<typename SignatureT, size_t I = FunctionTraits<SignatureT>::N_ARGS>
struct openvdb::v13_0::ax::codegen::ConstantFolder< SignatureT, I >

Constant folding support structure.

## Member Typedef Documentation

## ◆ ArgT

template<typename SignatureT, size_t I = FunctionTraits<SignatureT>::N_ARGS>

using ArgT = typename FunctionTraits<SignatureT>::template Arg<I-1>

## ◆ ArgumentValueType

template<typename SignatureT, size_t I = FunctionTraits<SignatureT>::N_ARGS>

using ArgumentValueType = typename ArgT::Type

## Member Function Documentation

## ◆ fold()

template<typename SignatureT, size_t I = FunctionTraits<SignatureT>::N_ARGS>
template<typename ... Tys>

llvm::Constant * fold | ( | const llvm::ArrayRef< llvm::Constant * > & | args,
|  | const SignatureT & | function,
|  | llvm::LLVMContext & | C,
|  | Tys &&... | ts )
| inline static